import pandas as pd
import numpy as np

for j in range(5):
    df = pd.read_csv(f'/home/joel_jang/dongkeun/L2U/data/main/lm_extraction_128_{j}.csv')
    dfs = np.array_split(df, 4)

    for i, chunk in enumerate(dfs):
        chunk.to_csv(f'/home/joel_jang/dongkeun/L2U/data/continual/128_{j}-{i}.csv', index=False)
